#

## fill

Fill layers from one side of box to other.

### Usage:

> fill direction [layers]

> > where direction is any valid Manhattan direction in magic, and layers is an optional comma-separated list of layers to restrict the operation of the fill command.

### Summary:

> The fill command extends paint from one side of the cursor box to the other. It is most often used to fill gaps in wire routes or fill paint between subcells. The algorithm is to select all paint that touches or crosses the cursor box on the side opposite the indicated direction, and extend this paint in the indicated direction to the other side of the cursor box. Paint that is in the cursor box but does not touch the side of entry is not changed.

### Implementation Notes:

> fill is implemented as a built-in command in magic.

### See Also:

> corner

Return to command index

Last updated: March 7, 2020 at 1:06pm